Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.muffin
Class WebstartMuffin

    java.lang.Object
      org.newdawn.slick.muffin.WebstartMuffin

All Implemented Interfaces:
  Muffin

    public class WebstartMuffin

extends java.lang.Object
implements Muffin

A muffin load/save implementation based on using Webstart Muffins (a bit like cookies only for webstart)

Author:
  kappaOne

Constructor Summary
`WebstartMuffin()`

Method Summary
`java.util.HashMap` | `loadFile(java.lang.String fileName)` Load a file of data from the store
`void` | `saveFile(java.util.HashMap scoreMap, java.lang.String fileName)` Save a file of data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebstartMuffin

    public WebstartMuffin()

Method Detail

### saveFile

    public void saveFile(java.util.HashMap scoreMap,
                         java.lang.String fileName)
                  throws java.io.IOException

  Description copied from interface: `Muffin`
  Save a file of data

  Specified by:
    `saveFile` in interface `Muffin`
  Parameters:
    `scoreMap` - The data to store
    `fileName` - The name of the file to store it against
  Throws:
    `java.io.IOException` - Indicates a failure to save the state
  See Also:
    `Muffin.saveFile(java.util.HashMap, java.lang.String)`

### loadFile

    public java.util.HashMap loadFile(java.lang.String fileName)
                               throws java.io.IOException

  Description copied from interface: `Muffin`
  Load a file of data from the store

  Specified by:
    `loadFile` in interface `Muffin`
  Parameters:
    `fileName` - The name of the file to retrieve
  Returns:
    The data retrieved
  Throws:
    `java.io.IOException` - Indicates a failure to load the state
  See Also:
    `Muffin.loadFile(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.